<template>
  <Navbar :notif-messages="notifMessages" />
  <router-view />
  <!-- <router-view v-if="store.isConnected"></router-view>
  <div v-else-if="connecting" class="w-100 d-flex justify-content-center">
    <b-spinner type="grow" label="Loading..." variant="secondary"></b-spinner>
  </div>
  <router-view v-else> -->
  <!-- <Connexion /> -->
  <!-- </router-view> -->
  <Footer />
</template>

<script>
// import HelloWorld from './components/HelloWorld.vue'
import Navbar from './components/Navbar.vue'
import Footer from './components/Footer.vue'
import axios from 'axios'
// import Connexion from '@/views/utilisateur/Connexion.vue'
import { useStore } from '@/store/store';



export default {
  name: 'App',
  components: {
    Navbar,
    Footer,
    // Connexion
  },

  data() {

    return {
      store: useStore(),
      connecting: false,
      url: process.env.VUE_APP_URL,
      notifMessages: ''
    }
  },

  watch: {
      '$route': function () {
          this.scrollToTop();
          let nav = document.querySelector('#nav-collapse');
          if(nav.classList.contains('show')){
            nav.classList.remove('show');
            nav.classList.add('hide');
          };
          if(this.store.isConnected){
            this.getNotifications();
          }
      },
  },

  async mounted(){
    const store = useStore();
    
    if(store.token != '' && store.token != null && store.user == null){
      this.connecting = true;
      store.fetchUser()
      .then( () => {
        this.connecting = false;
      });
    }
  },

  methods: {
    scrollToTop() {
      window.scrollTo(0,0);
    },

    getNotifications(){
      axios.get(this.url + "/api/utilisateurs/notifications/" + this.store.user.id)
      .then(res => {      
        this.notifMessages = res.data['hydra:member'][0];
      })
      .catch(err => {
          console.log(err)
      })
    }
  }
}
</script>

<style lang="scss">
@font-face {
  font-family: "Lato";
  src: local("Lato"),
   url(@/assets/fonts/Lato-Regular.woff2) format("truetype");
}

@font-face {
  font-family: "Lato-light";
  src: local("Lato"),
   url(@/assets/fonts/Lato-Light.woff) format("truetype");
}

#app {
  font-family: "Lato";
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: #2c3e50;
}

h2 {
  color: #7A8ABA;
  border-left: 1px solid #7A8ABA;
  padding: 20px 0 20px 15px;
  @media (max-width: 540px) {
    font-size: 1.2rem !important;
  }
}

a {
  text-decoration: none !important;
  color: #000 !important;
}

ul {
  list-style: none;
  text-align: left;
}

.container {
  margin-top: 3rem;
}

.background_bloc {
  margin-top: -10%;
  left: 0;
  position: absolute;
  z-index: -1;
  height: 50vh; 
  background-color: #F6F0EB;
  width: 35%;
}

.title {
  color: #C38B62;
  padding-left: 0;
  border-left: none;
  text-transform: uppercase;
}

.dropdown-mobile{
  .btn-group{
    display: initial;
  }
}
.btn-cta {
  border-radius: 5px;
  border: 1px solid #929292;
  padding: 5px;
  height: fit-content;
  background-color: #fff;
  width: fit-content;
  &:hover{
    background-color: #7A8ABA;
    color: white !important;
  }
  &.load-more {
    width: fit-content;
    margin: auto;
  }
}

.vendeur__img {
  width: 60px;
  height: 60px;
  border-radius: 50%;
  object-fit: contain;
  border: 1px solid lightgray;
}
</style>
